GNU bug report logs - #27652
Multi-threaded compilation of 'syntax-parameterize' forms crashes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Joshua Sierles <joshua@HIDDEN>; merged with #27476, #31740; dated Tue, 11 Jul 2017 16:06:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 27476 27652 31740. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Severity set to 'serious' from 'important' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Multi-threaded compilation of 'syntax-parameterize' forms crashes' from 'Compilation with 'guix pull' crashes non-deterministically on many-core machines' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Merged 27476 27652. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Compilation with 'guix pull' crashes non-deterministically on many-core machines' from 'guix pull --url fails to build - guix pull works' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 27652 <at> debbugs.gnu.org:


Received: (at 27652) by debbugs.gnu.org; 26 Aug 2017 10:00:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 26 06:00:40 2017
Received: from localhost ([127.0.0.1]:56014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dlXtQ-0001wS-5K
	for submit <at> debbugs.gnu.org; Sat, 26 Aug 2017 06:00:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1dlXtP-0001vc-5K
 for 27652 <at> debbugs.gnu.org; Sat, 26 Aug 2017 06:00:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1dlXtF-0005R8-RU
 for 27652 <at> debbugs.gnu.org; Sat, 26 Aug 2017 06:00:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60864)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1dlXtF-0005R4-OF; Sat, 26 Aug 2017 06:00:29 -0400
Received: from x590d0e4d.dyn.telefonica.de ([89.13.14.77]:49894 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1dlXtE-0008A5-HI; Sat, 26 Aug 2017 06:00:29 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Joshua Sierles <joshua@HIDDEN>
Subject: Re: bug#27652: multi-core server could be the cause
References: <1499789087.1788738.1037461752.1AAA7941@HIDDEN>
 <1499791721.1797352.1037513128.408DA69D@HIDDEN>
Date: Sat, 26 Aug 2017 12:00:19 +0200
In-Reply-To: <1499791721.1797352.1037513128.408DA69D@HIDDEN>
 (Joshua Sierles's message of "Tue, 11 Jul 2017 18:48:41 +0200")
Message-ID: <87k21qbqdo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 27652
Cc: 27652 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Joshua Sierles <joshua@HIDDEN> skribis:

> As Ludo mentioned on IRC, this issue could be caused by parallel
> compilation on our 64-core server. At first it seemed related to using
> the '--url' option, but I just was able to reproduce this problem using
> only 'guix pull'. I'll look into how I can reduce the number of cores
> used for compilation and report back.
>
> If this is the case, would this still be considered a bug?

Marius reported a similar issue, which suggests it may indeed have to do
with parallel compilation on many-core machines:

  https://lists.gnu.org/archive/html/guix-devel/2017-08/msg00206.html

(That=E2=80=99s a bug, of course.)

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#27652; Package guix. Full text available.

Message received at 27652 <at> debbugs.gnu.org:


Received: (at 27652) by debbugs.gnu.org; 11 Jul 2017 16:48:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 11 12:48:43 2017
Received: from localhost ([127.0.0.1]:34256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dUyL5-0005tI-7W
	for submit <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:48:43 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:46285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua@HIDDEN>) id 1dUyL3-0005tA-ID
 for 27652 <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:48:41 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 3E5C120D2F
 for <27652 <at> debbugs.gnu.org>; Tue, 11 Jul 2017 12:48:41 -0400 (EDT)
Received: from web1 ([10.202.2.211])
 by compute1.internal (MEProxy); Tue, 11 Jul 2017 12:48:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=joshua.si; h=
 content-transfer-encoding:content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=XCsQ5BOZuv3TTwVPiZ1RB8vPuogFcByg/Gtl06v9Cuk=; b=LSPjw
 Bk3rNiU25/Gs48Fkp/YzQ04AghzW2tmYOrKcMkd/UADHsvEFkl2cA8BzS/64PrQK
 iyYI3w2JFhrb49yp2APUgBG21qT29QBO4jvWJ/x4u+fQ5mYkHnnpHQodF51P+m63
 G0oIhr6XLQ5pbF3VtAMQIJU7h6704nXvUK8yZ4=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=XCsQ5BOZuv3TTwVPiZ1RB8vPuogFc
 Byg/Gtl06v9Cuk=; b=RWmW7tQD8yuI5PVFu5Gkk6RM/eM+qI2n7zfGVdsSiE6hH
 0ouCb3w8dgXWhPnkgdIYqZgfR4KeJJmv7pzJUZBo1o/plXZsdl+CtY13qdv7loXc
 4oZqd+22GrR8cf47D5rad+wCdB5pEoxHtekMCzSGByy4Thb6iOSp9OMIf7M4UaL9
 ByG6N3llBvxtWfhSEHDytIb2xrsdYjjOdyUUqiUN7Wr/NgGUWUieAnPxMy/cjAWy
 oyzHsOPYnq0c5SR/NrD0u1RA2ucJhJv267d61JTqOhuuGLtL1ylOL/2fAQFgFGXH
 oeV5D5hnN9t3GofbbrNhO5wAeqGCs3LUWyob/ZWSg==
X-ME-Sender: <xms:aQFlWdu_3EBu1_7_QtcY7lPToQJ_skOzHWVM0Jx4kkiIUNo4JbOh0w>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 1D80C94791; Tue, 11 Jul 2017 12:48:41 -0400 (EDT)
Message-Id: <1499791721.1797352.1037513128.408DA69D@HIDDEN>
From: Joshua Sierles <joshua@HIDDEN>
To: 27652 <at> debbugs.gnu.org
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-68d1e0b4
Date: Tue, 11 Jul 2017 18:48:41 +0200
Subject: multi-core server could be the cause
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 27652
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

As Ludo mentioned on IRC, this issue could be caused by parallel
compilation on our 64-core server. At first it seemed related to using
the '--url' option, but I just was able to reproduce this problem using
only 'guix pull'. I'll look into how I can reduce the number of cores
used for compilation and report back.

If this is the case, would this still be considered a bug?

-- 
  Joshua Sierles
  joshua@HIDDEN




Information forwarded to bug-guix@HIDDEN:
bug#27652; Package guix. Full text available.

Message received at 27652 <at> debbugs.gnu.org:


Received: (at 27652) by debbugs.gnu.org; 11 Jul 2017 16:35:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 11 12:35:07 2017
Received: from localhost ([127.0.0.1]:34246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dUy7u-0005ZT-NY
	for submit <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:35:06 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:33405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1dUy7t-0005ZJ-4v
 for 27652 <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:35:05 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id A796F20D07;
 Tue, 11 Jul 2017 12:35:04 -0400 (EDT)
Received: from frontend1 ([10.202.2.160])
 by compute4.internal (MEProxy); Tue, 11 Jul 2017 12:35:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc
 :x-sasl-enc; s=mesmtp; bh=fJ3vh3VVQxM9GsVMzjBtxlaD+nEiYSqYMNE6OD
 9FlzU=; b=kUoFz15E6U8yrvywKt7G99qLHbYeuK+LcdcA/fhYblLNUdSIbQEfgQ
 0/ORC9riDIx/ABnyoH+dYLLRTTxaE/YhTlL0SmdA+LMB/+fdyaOpCRCS2PirWRvg
 KJPEpucvSOpwC/qMkOzPS9dGhux2eZv9mWON/oxBsdRHDq4wVofvM=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc:x-sasl-enc; s=fm1; bh=fJ3vh3VVQxM9GsVMzj
 BtxlaD+nEiYSqYMNE6OD9FlzU=; b=n0CswWl+dIlJjTAOykwiJKbUBLRMt+4x9h
 YdBqszWVDmfnJrIN1eE7ZJ7nWw9veG92QFJJ5D2aTAcEk7LcYwBzTJUacWHmZ4/2
 eS9a698yP/XlnGs9k1RodcYUYZPSumC/SHkWWR0IXDV8jGhjUBsr7OiINibUwWHm
 fHcbMgunUYwkQqQNKt8gTmwtQqmObyRlH/DQX0MktpnXB5RWuSmQ7epB1XipZWN+
 TBtqW6yUBP458W9H802zdSj15p1DHGFq94unYOYgt8G87EteWxp7LRExZzx6y8FG
 YVaeIZQUzJBDqF6U+80X7v+4UzGsV29YVZPhVN+OHDuiWu+dWrag==
X-ME-Sender: <xms:OP5kWVQW2MOllKT_mMS4FabhjVo5TL42FaFVuk_n7FOF0yIl6vbAXQ>
X-Sasl-enc: aT4bfNlsrPv/sqoLeYA/Pw//hCnNyEQwEFmKWRO6O5T3 1499790904
Received: from localhost (c-73-165-108-70.hsd1.pa.comcast.net [73.165.108.70])
 by mail.messagingengine.com (Postfix) with ESMTPA id 4B01C7E8BC;
 Tue, 11 Jul 2017 12:35:04 -0400 (EDT)
Date: Tue, 11 Jul 2017 12:35:03 -0400
From: Leo Famulari <leo@HIDDEN>
To: Joshua Sierles <joshua@HIDDEN>
Subject: Re: bug#27652: guix pull --url fails to build - guix pull works
Message-ID: <20170711163503.GB32069@HIDDEN>
References: <1499789087.1788738.1037461752.1AAA7941@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="+pHx0qQiF2pBVqBT"
Content-Disposition: inline
In-Reply-To: <1499789087.1788738.1037461752.1AAA7941@HIDDEN>
User-Agent: Mutt/1.8.3 (2017-05-23)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 27652
Cc: 27652 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--+pHx0qQiF2pBVqBT
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jul 11, 2017 at 06:04:47PM +0200, Joshua Sierles wrote:
> I tried 'guix pull' and it worked fine. Then, tried using a git commit
> from master's tip, which should be the same contents. This link contains
> the outputs for both attempts.
>=20
> https://gist.github.com/jsierles/0177424733612947d61af8533084841e

For everyone's reference, the failing command was:

$ guix pull --url=3Dhttps://git.savannah.gnu.org/cgit/guix.git/snapshot/d5f=
f67f411a6a91f2cfa589d185fbc025046f1db.tar.gz

It failed like this:

------
loading...	 25.4% of 607 filesrandom seed for tests: 1499787464
loading...	 99.8% of 607 files
compiling...	 88.8% of 607 files
compiling...	 89.3% of 607 filesice-9/threads.scm:289:22: In procedure loop:
ice-9/threads.scm:289:22: Syntax error:
guix/scripts.scm:116:4: >>=3D: >>=3D (bind) used outside of 'with-monad' in=
 form (>>=3D (package->derivation package #:graft? (and (not dry-run?) graf=
ting?)) (lambda (t-24216c5d7b7f7de-597) (mlet* %store-monad () (let ((deriv=
ation t-24216c5d7b7f7de-597)) (mbegin %store-monad (maybe-build (list deriv=
ation) #:use-substitutes? use-substitutes? #:dry-run? dry-run?) (return (sh=
ow-derivation-outputs derivation)))))))
------

--+pHx0qQiF2pBVqBT
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAllk/jcACgkQJkb6MLrK
fwh3JBAAjEkijpgPRjmTVTJoNyRIvCr+3p+rbEtO9YtpC5nyuN9DQiJm1mT/qX6W
vT8mmU4xQ0CCwBkUGnuTIzGPv5fsFWkBvzqoCR3Vms/ZWPynIcJjLVrso4WIGvTG
LoNNnx5YysaX+Vbvys+vUVe6kKNgENX0VuAI2LeW7E334hvz8aVPqbPLNUxwbwa8
LHAEd15KMCMmRl53khDCcbB9QjvLrbseg8FR9tlrQvjLY5nz2N2U1XukE6tpvCZ4
j6ENnJK3oQY5RSNYaprIjXA+b/yWrdBBnvFzfO6CWtL/ufos8vcciDlF+v7X4GeQ
JibJH+EfCArbeBMcnuOk1uZJuUI7LTxRAkq1UDqrfOGU1jZJITPWbqzUPnDCwpDM
wfUNHKvlNWlFebUUMJFvXJT+EdKBcMT1RdG0z0wqnk0CqYc9fPUJoiUPl7i/kcHu
zYoLy7B8E3D1AO28KZ4RkJl/2gCu1TUP9N/GNUU1xFdD4Pb+o/1XxHEzoO/ZCHN5
C8UY3s2c/V1Jw33Y5qIRApW9OLRD6Oc01R5STsa0Gkk5r6EFW7l80Jps7bicTn4V
VPXSOy34v603O9WobA6q/ezxvi9LSf6ueHIFlPniI/0Vk9Tl/z8IUejvOYWSJOQQ
Fkmw1xhMMVo+kv/Zop7mlbdX/f7wrHSrybdwqoLSXb/HRfYCByU=
=HyCb
-----END PGP SIGNATURE-----

--+pHx0qQiF2pBVqBT--




Information forwarded to bug-guix@HIDDEN:
bug#27652; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jul 2017 16:05:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 11 12:05:03 2017
Received: from localhost ([127.0.0.1]:34227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dUxep-0004rU-AQ
	for submit <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:05:03 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joshua@HIDDEN>) id 1dUxen-0004qz-Ov
 for submit <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:05:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <joshua@HIDDEN>) id 1dUxeh-0002N6-KD
 for submit <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:04:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46573)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <joshua@HIDDEN>) id 1dUxeh-0002N1-Gr
 for submit <at> debbugs.gnu.org; Tue, 11 Jul 2017 12:04:55 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42249)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <joshua@HIDDEN>) id 1dUxeg-0003HB-8k
 for bug-guix@HIDDEN; Tue, 11 Jul 2017 12:04:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <joshua@HIDDEN>) id 1dUxeb-0002KS-Je
 for bug-guix@HIDDEN; Tue, 11 Jul 2017 12:04:53 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:56333)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <joshua@HIDDEN>) id 1dUxeb-0002K0-CT
 for bug-guix@HIDDEN; Tue, 11 Jul 2017 12:04:49 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 6D9D2209B2
 for <bug-guix@HIDDEN>; Tue, 11 Jul 2017 12:04:47 -0400 (EDT)
Received: from web1 ([10.202.2.211])
 by compute1.internal (MEProxy); Tue, 11 Jul 2017 12:04:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=joshua.si; h=
 content-transfer-encoding:content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=SUFdy79jQzbBmtGjG30rrMl9m5YBhmRqmG3y1QdiGpg=; b=c3aTg
 XU2/HXROYWEJB5dfQRwzlZyZ3hmbHUhlYLESZ7h+aecUzPlS5J1BIZbS+jSax0FH
 7VCp+bw1FvSGXhObVzWJvfPCkYzCgc0mIBEuoVbMoLnmoHyFthVb1wqG9YYINZ4s
 vxe0M0h+UAweWMjqY2qSHcLaghcR87r+iN3HbQ=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=SUFdy79jQzbBmtGjG30rrMl9m5YBh
 mRqmG3y1QdiGpg=; b=DKVF5xo18WojZHpjmkt2FnEoZL8eMYCuViMPxulTNQNLk
 dBrfBHKTyiub8BcJt9TXKXrCnWTb3uZ4rpOHFfgkrGFskyVTl7nRUgwgdZrj0RIA
 X9xl7dAduqZHumbu7km6VyPM5jn0uFdJtjSgM+d5j3BTLEPTpthfgd/cl66wus0Y
 YVQ8fC5kbbyzMmSKBDtvZjggAkU66dkcLAsru+qgV6ajx/G3Q89E9oIVkmCPOqr+
 bDeuwduEdrWlhBg/obnn/tLOencmesZyhNkTyakrBZs8SkEWRzt+QfvCyCFFiyNQ
 Gc9eztsCHAv2QKYZ8HqdOk5xrbTEL6pqa/05+azCA==
X-ME-Sender: <xms:H_dkWe12e84xxHtQwMtVGsAePt_MNxsUiuJ1K27bhat_zbWl3qpe8w>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 4CF2994791; Tue, 11 Jul 2017 12:04:47 -0400 (EDT)
Message-Id: <1499789087.1788738.1037461752.1AAA7941@HIDDEN>
From: Joshua Sierles <joshua@HIDDEN>
To: bug-guix@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-68d1e0b4
Subject: guix pull --url fails to build - guix pull works
Date: Tue, 11 Jul 2017 18:04:47 +0200
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

I tried 'guix pull' and it worked fine. Then, tried using a git commit
from master's tip, which should be the same contents. This link contains
the outputs for both attempts.

https://gist.github.com/jsierles/0177424733612947d61af8533084841e

-- 
  Joshua Sierles
  joshua@HIDDEN




Acknowledgement sent to Joshua Sierles <joshua@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#27652; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 7 Jun 2018 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.